Bug 1316617 - [abrt] setroubleshoot-server: service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
[abrt] setroubleshoot-server: service.py:647:_message_cb:SystemError: <built-...
Status: CLOSED DUPLICATE of bug 1366004
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
24
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Petr Viktorin
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3d39da3bb52ff728109278f9b5c...
:
: 1315860 1317197 1340888 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 10:46 EST by Joachim Frieben
Modified: 2017-01-27 12:57 EST (History)
104 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-05 09:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (836 bytes, text/plain)
2016-03-10 10:46 EST, Joachim Frieben
no flags Details
File: environ (88 bytes, text/plain)
2016-03-10 10:46 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2016-03-10 10:46:41 EST
Version-Release number of selected component:
setroubleshoot-server-3.3.4-1.fc24

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
runlevel:       N 5
type:           Python3
uid:            991

Truncated backtrace:
service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set

SystemExit

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/dbus/service.py", line 647, in _message_cb
    if not isinstance(message, MethodCallMessage):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
connection: <dbus._dbus.SystemBus (system) at 0x7f55a5a0b990>
self: <setroubleshoot.server.SetroubleshootdDBusObject at /org/fedoraproject/Setroubleshootd at 0x7f559f9ad518>
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Setroubleshootd, iface: org.fedoraproject.SetroubleshootdIface, member: avc dest: org.fedoraproject.Setroubleshootd>

Potential duplicate: bug 1315860
Comment 1 Joachim Frieben 2016-03-10 10:46:46 EST
Created attachment 1134937 [details]
File: backtrace
Comment 2 Joachim Frieben 2016-03-10 10:46:47 EST
Created attachment 1134938 [details]
File: environ
Comment 3 Giulio 'juliuxpigface' 2016-03-10 16:02:25 EST
Similar problem has been detected:

I don't know when did exactly this issue pop up. I've used setroubleshoot in order to see what denials did it catch on startup.

reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        setroubleshoot-server-3.3.4-1.fc24
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       N 5
type:           Python3
uid:            991
Comment 4 Christian Stadelmann 2016-03-12 18:00:43 EST
*** Bug 1317197 has been marked as a duplicate of this bug. ***
Comment 5 Giulio 'juliuxpigface' 2016-04-21 13:42:13 EDT
Similar problem has been detected:

Opened gnome-abrt on a live system (Fedora 24 20160419 Mate) and found this problem, under the tab "System".

reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-04-21-13:38:57> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.1-300.fc24.x86_64
package:        setroubleshoot-server-3.3.5-3.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            987
Comment 6 t.c.rogers1984 2016-05-16 04:15:31 EDT
Similar problem has been detected:

I don't know how this problem happened at all.

reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-05-16-03:14:51> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.2-302.fc24.x86_64
package:        setroubleshoot-server-3.3.6-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            987
Comment 7 René Genz 2016-05-19 18:21:14 EDT
Similar problem has been detected:

I installed Fedora 24 x86_64 "Minimal"; after reboot installed 'Xfce Desktop' group; after reboot logged in and idled; crash for no apparent reason

reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.4-300.fc24.x86_64
package:        setroubleshoot-server-3.3.6-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       unknown
type:           Python3
uid:            987
Comment 8 Petr Lautrbach 2016-05-26 11:05:31 EDT
*** Bug 1315860 has been marked as a duplicate of this bug. ***
Comment 9 Petr Lautrbach 2016-05-26 11:07:22 EDT
It seems to be a bug in dbus-python package or lower.
Comment 10 Petr Lautrbach 2016-06-02 02:09:21 EDT
*** Bug 1340888 has been marked as a duplicate of this bug. ***
Comment 11 Gerardo Rosales 2016-06-23 21:04:01 EDT
Similar problem has been detected:

Maybe related to the desktop crash issue.

tickets to I was added

https://bugzilla.redhat.com/show_bug.cgi?id=1339328
https://bugzilla.redhat.com/show_bug.cgi?id=1340898

reporter:       libreport-2.7.1
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-06-23-19:02:00> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.5.5-300.fc24.x86_64
package:        setroubleshoot-server-3.3.9.1-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            991
Comment 12 leigh scott 2016-07-29 08:15:54 EDT
(In reply to Petr Lautrbach from comment #9)
> It seems to be a bug in dbus-python package or lower.

@simon mcvittie

Is this a dbus-python issue?
Comment 13 Devon Janitz 2016-07-29 08:21:15 EDT
Similar problem has been detected:

Turned on the computer.  Had not even logged in yet.

reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-07-29-08:20:21> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.6.4-301.fc24.x86_64
package:        setroubleshoot-server-3.3.10-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       unknown
type:           Python3
uid:            990
Comment 14 Simon McVittie 2016-07-29 08:33:58 EDT
(In reply to leigh scott from comment #12)
> (In reply to Petr Lautrbach from comment #9)
> > It seems to be a bug in dbus-python package or lower.
> 
> Is this a dbus-python issue?

Something is going wrong at the interface between Python and C, and I'm not sure how it would be dbus-python's fault.

dbus-python has defined a type named MethodCallMessage, and is doing this:

def _message_cb(self, connection, message):
    if not isinstance(message, MethodCallMessage):
        return

and the SystemError we're getting is effectively an assertion failure from Python, saying that something is using Python's C APIs wrong: functions are meant to do exactly one of returning a value or raising an exception, but in this case isinstance() has done both. isinstance is a built-in part of the Python interpreter.

The SystemError has the exception raised by isinstance() attached to it as a chained exception; it would be useful if abrt could log that.

I don't know how this can happen; it's possible that this is a result of a bug in the C parts of dbus-python, or in any other C code used by setroubleshoot. People who work on the Python interpreter itself would perhaps know more.

If this was reproducible, then a developer who can reproduce it could attach a debugger to the Python interpreter and break on the line in _Py_CheckFunctionResult() where this SystemError is thrown; details of the backtrace and error state at that point might be enlightening.
Comment 15 Zdenek Chmelar 2016-08-04 10:49:15 EDT
Similar problem has been detected:

Error popped up without any specific action. Not sure what triggered this problem.

reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-08-04-16:48:01> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.6.4-301.fc24.x86_64
package:        setroubleshoot-server-3.3.10-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       N 5
type:           Python3
uid:            988
Comment 16 Zdenek Chmelar 2016-08-07 16:14:22 EDT
Similar problem has been detected:

Error popped up after login on desktop

reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
event_log:      2016-08-07-22:13:18> ('report_uReport' completed successfully)
executable:     /usr/sbin/setroubleshootd
kernel:         4.7.0-0.rc7.git4.1.fc25.x86_64
package:        setroubleshoot-server-3.3.10-2.fc25
pkg_vendor:     Fedora Project
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       N 5
type:           Python3
uid:            988
Comment 17 Jan Vlug 2016-09-03 04:05:01 EDT
Related to bug bug 1366004?
Comment 18 Petr Viktorin 2016-09-05 09:42:37 EDT
Yes, it looks like the same bug.

*** This bug has been marked as a duplicate of bug 1366004 ***

Note You need to log in before you can comment on or make changes to this bug.